# -*- coding: utf-8 -*-

import os
import sys

# add this plugin to the python search path
folder = os.path.dirname(__file__)
if folder not in sys.path:
    sys.path.insert(0, folder)
    
import c4d
from c4d import plugins
    
from smartstairspackage import ids
from smartstairspackage import objdata
from smartstairspackage import worker

from smartstairspackage.utils import hivemind
from smartstairspackage.utils import errormsg

objdata.__res__ = __res__
worker.__res__ = __res__

#register the plugin
if __name__ == "__main__":

    sys.excepthook = errormsg.exceptionHook
    
    hivemind.Borg().fatalError = False
    hivemind.Borg().fatalShown = False
    hivemind.Borg().copy = None

    # load an icon from the 'res' folder
    icon = c4d.bitmaps.BaseBitmap()
    icon.InitWith(os.path.join(os.path.dirname(__file__), "res", "icon.tif"))
    
    # get the plugin title from the string resource
    title = c4d.plugins.GeLoadString(ids.STR_TITLE)
        
    plugins.RegisterObjectPlugin(ids.PLUGIN_ID, title, objdata.SmartStairsData, "Osmartstairs", c4d.OBJECT_GENERATOR | c4d.OBJECT_INPUT, icon)